Bug 186248 - utf8 is not correctly displayed within output lines
utf8 is not correctly displayed within output lines
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
8
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-22 09:58 EST by Milan Slanař
Modified: 2013-07-02 19:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:34:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Slanař 2006-03-22 09:58:29 EST
Description of problem:


Version-Release number of selected component (if applicable):
mc-4.6.1a-11

How reproducible:
always

Steps to Reproduce:
1. run mc on console
2. set some (5) output lines in "Options - Layout"
3. display some utf8 characters in output lines. For example type 'date', then 
with czech locale set (cs_CZ.UTF-8) it displays "bře" for "Mar"
  
Actual results:
"bře" is displayed as "b=e" within output lines.
Press Ctrl-O ... everything is displayed correctly, switch back and you will see
the bug.

Expected results:
UTF8 characters should be displayed correctly within output lines.

Additional info:
Comment 1 Milan Slanař 2007-06-26 06:36:14 EDT
Problem also in f7 with mc-4.6.1a-45.20070124cvs.fc7.i386.
Comment 2 Brian Powell 2008-04-30 22:07:37 EDT
Based on the age of this report can you please verify this bug still exists in
Fedora 7 or Fedora 8
Comment 3 Milan Slanař 2008-05-02 07:20:41 EDT
Bug still exists in F7 and F8
mc-4.6.1a-50.20070604cvs.fc8.x86_64

I am changing version to F8.
Comment 4 Bug Zapper 2008-11-26 01:56:29 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-08 23:34:03 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.